Skip to main content
GET
Get presentations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[id]
string

Filter presentation requests by their unique identifier

Example:

"cmbhsgi6c00cls60120oyb8tl"

filter[status]
string

Filter presentation requests by their current status (e.g., "requested", "verified", "expired")

Example:

"verified"

filter[presentationTemplateId]
string

Filter presentation requests by their template identifier

Example:

"cma2nw2vd00sos601irn14wt1"

sort
enum<string>

Sort order for the results. Prefix with "-" for descending order

Available options:
id,
-id,
createdAt,
-createdAt,
updatedAt,
-updatedAt
Example:

"-createdAt"

page[size]
number

Number of items to return per page (1-100)

Required range: 1 <= x <= 100
Example:

10

page[before]
string

Cursor for pagination - return items before this ID value

Example:

"cmbhsgi6c00cls60120oyb8tl"

page[after]
string

Cursor for pagination - return items after this ID value

Example:

"cmbhsgi6c00cls60120oyb8tl"

Response

List of presentations

data
object[]
required
meta
object
errors
object[]